;+
;
; ========
; qsee.pro
; ========
;
; .. function:: qsee(zet)
;
; DESCRITPION
; ===========
;
; Bulk sea surface humidity (g/kg)
; sst: SST (degC)
; Ps : surface pressure (mb)
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20120319
;
;   * minimal header
;
;-
function qsee, sst,Ps
;
x=sst
p=Ps
es=6.112*exp(17.502*x/(x+240.97))*.98*(1.0007+3.46e-6*p)
s=es*621.97/(p-.378*es)

return, s

end
