#! /usr/bin/env python

# -*- coding: iso-latin-1 -*-
__docformat__ = 'reStructuredText'
__autodoc__ = ['read']

from Numeric import *
from Scientific.IO.NetCDF import *
from pylab import *

import time

"""

SYNOPSIS
========

$ python read.py

DESCRIPTION
===========

read TROPFLUX file ${TROPFLUX_D}/TropFlux_19890101_20091231.nc

plot ++

EXAMPLES
========

::

 $ read.py

SEE ALSO
========


TODO
====

make it usable for real end-user

learn python

ok on zeus, not ok on aedon because of ImportError: No module named Numeric

EVOLUTIONS
==========

- fplod 20110120T164029Z aedon.locean-ipsl.upmc.fr (Darwin)

  * thanks to http://www.unidata.ucar.edu/software/netcdf/examples/programs/sfc_pres_temp_rd.py

- fplod 20110107T134657Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add a main level for sphinx referencement (not yet ok)

- fplod 20110106T133620Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation to prevent Netcdf problem on TROPFLUX dataset
    draft

"""

if __name__ == '__main__':

   yyyymmdd_b=19890101;
   yyyymmdd_e=20091231;
   #
   filename = 'TropFlux_' + str(yyyymmdd_b) + '_' + str(yyyymmdd_e) + '.nc'
   fullfilename = '/usr/zeus/incas/fplod/tropflux_d/' + filename
   #
   file = NetCDFFile(fullfilename, 'r')
   # controle print
   print file.dimensions
   print file.variables
   #
   # get latitudes
   ydata=file.variables['latitude']
   # controle print
   print ydata.units
   # get longitudes
   xdata=file.variables['longitude']
   # get swr variable
   zdata=file.variables['swr']
   # controle print
   print zdata.units
   # plot 
   xlabel('xlabel+todo')
   ylabel('ylabel+todo')
   # close NetCDF file
   file.close()
